Class | RDoc::C_Parser
In: | rdoc/parsers/parse_c.rb
Parent: | Object

See rdoc/c_parse.rb

### Methods

new scan

### Public Class methods

new(top_level, file_name, body, options, stats)

prepare to parse a C file

[Source]

    # File rdoc/parsers/parse_c.rb, line 175
        def initialize(top_level, file_name, body, options, stats)
          @known_classes = KNOWN_CLASSES.dup
          @body = handle_tab_width(handle_ifdefs_in(body))
          @options = options
          @stats   = stats
          @top_level = top_level
          @classes = Hash.new
          @file_dir = File.dirname(file_name)
          @progress = $stderr unless options.quiet
        end

### Public Instance methods

scan()

Extract the classes/modules and methods from a C file and return the corresponding top-level object

[Source]

    # File rdoc/parsers/parse_c.rb, line 188
        def scan
          remove_commented_out_lines
          do_classes
          do_constants
          do_methods
          do_includes
          do_aliases
          @top_level
        end

[Validate]